---
# Configure sysctl on the host with various optimizations

- name: Increase max connections
  become: yes
  throttle: 1
  ansible.posix.sysctl:
    name: net.core.somaxconn
    value: "{{ sysctl_net_core_somaxconn }}"
    sysctl_set: yes
    state: present
    reload: yes
  notify: reboot

- name: Configure overcommit memory
  become: yes
  throttle: 1
  ansible.posix.sysctl:
    name: vm.overcommit_memory
    value: "{{ sysctl_vm_overcommit_memory }}"
    sysctl_set: yes
    state: present
    reload: yes
  notify: reboot

- name: Increase mmap map count
  become: yes
  throttle: 1
  ansible.posix.sysctl:
    name: vm.max_map_count
    value: "{{ sysctl_vm_max_map_count }}"
    sysctl_set: yes
    state: present
    reload: yes
  notify: reboot
...